Subject: Re: [PATCH 1/2] remove CONFIG_HAVE_ARCH_DEV_ALLOC_SKB

From: Roland Dreier <[email-masked]>
Date: Mon, 24 Jul 2006 15:44:15 -0700

> skbuff.h has an #ifndef CONFIG_HAVE_ARCH_DEV_ALLOC_SKB to allow
> architectures to reimplement __dev_alloc_skb.  It's not set on any
> architecture and now that we have an architecture-overrideable
> NET_SKB_PAD there is not point at all to have one either.

I missed this when hch first posted it, sorry.

But my impression was that the intent of the config option was to let
Xen hook __dev_alloc_skb() to allocate special receive skbs to handle
their page-flipping virtual network device.  Which goes beyond
NET_SKB_PAD.

So the real question is about Xen hooks I guess -- and given where the
rest of Xen is, it probably does make sense to go ahead and strip this
out.

 - R.